POST /todaySharePrice
prices probe ok
Short list (~top N) of share prices — NOT a full board. Prefer tradeSummary.
curl
curl -sS -X POST 'https://www.cse.lk/api/todaySharePrice' \
-H 'Content-Type: application/json' \
-H 'Origin: https://www.cse.lk' -H 'Referer: https://www.cse.lk/' \
-d '{}'
Known failures
- None recorded
Fields
Sample
{
"_probe": {
"id": "todaySharePrice",
"url": "https://www.cse.lk/api/todaySharePrice",
"method": "POST",
"status": 200,
"verified_at": "2026-07-16T16:34:34.317330+00:00",
"fingerprint": {
"type": "array",
"len": 10,
"item_keys": [
"change",
"changePercentage",
"crossingVolume",
"high",
"id",
"lastTradedPrice",
"low",
"open",
"quantity",
"symbol",
"tradesTime"
]
}
},
"response": [
{
"id": 2065,
"symbol": "AEL.N0000",
"open": 76.8,
"high": 77.0,
"low": 76.0,
"lastTradedPrice": 76.9,
"change": 0.7,
"changePercentage": 0.9186352,
"crossingVolume": 481526,
"tradesTime": 1784192023480,
"quantity": 2000
},
{
"id": 472,
"symbol": "ACL.N0000",
"open": 96.5,
"high": 97.0,
"low": 96.4,
"lastTradedPrice": 96.7,
"change": 0.7,
"changePercentage": 0.7291667,
"crossingVolume": 1193613,
"tradesTime": 1784190237701,
"quantity": 43
},
{
"id": 406,
"symbol": "APLA.N0000",
"open": 143.0,
"high": 143.0,
"low": 141.0,
"lastTradedPrice": 142.0,
"change": 0.25,
"changePercentage": 0.17636684,
"crossingVolume": 3427,
"tradesTime": 1784192391059,
"quantity": 593
},
{
"id": 554,
"symbol": "ACME.N0000",
"open": 4.7,
"high": 4.7,
"low": 4.4,
"lastTradedPrice": 4.6,
"change": 0.1,
"changePercentage": 2.2222223,
"crossingVolume": 261726,
"tradesTime": 1784192354408,
"quantity": 100
},
{
"id": 163,
"symbol": "AGAL.N0000",
"open": 53.3,
"high": 53.3,
"low": 52.0,
"lastTradedPrice": 53.2,
"change": 0.8,
"changePercentage": 1.5267175,
"crossingVolume": 150,
"tradesTime": 1784191080899,
"quantity": 100
},
{
"id": 2026,
"symbol": "AGST.N0000",
"open": 11.6,
"high": 11.6,
"low": 11.0,
"lastTradedPrice": 11.2,
"change": 0.1,
"changePercentage": 0.9009009,
"crossingVolume": 176890,
"tradesTime": 1784192159818,
"quantity": 17649
},
{
"id": 2035,
"symbol": "AGST.X0000",
"open": 11.2,
"high": 11.2,
"low": 11.2,
"lastTradedPrice": 11.4,
"change": 0.0,
"changePercentage": 0.0,
"crossingVolume": 1,
"tradesTime": 1784183300270,
"quantity": 1
},
{
"id": 144,
"symbol": "AHUN.N0000",
"open": 91.2,
"high": 91.2,
"low": 89.5,
"lastTradedPrice": 90.0,
"change": -1.2,
"changePercentage": -1.3157895,
"crossingVolume": 655,
"tradesTime": 1784188161525,
"quantity": 1
},
{
"id": 343,
"symbol": "SPEN.N0000",
"open": 145.5,
"high": 145.75,
"low": 145.0,
"lastTradedPrice": 145.5,
"change": -0.5,
"changePercentage": -0.34246576,
"crossingVolume": 1061,
"tradesTime": 1784192169635,
"quantity": 133
},
{
"id": 395,
"symbol": "ALLI.N0000",
"open": 325.0,
"high": 325.0,
"low": 324.5,
"lastTradedPrice": 325.0,
"change": 0.5,
"changePercentage": 0.1540832,
"crossingVolume": 1592,
"tradesTime": 1784191061650,
"quantity": 50
}
]
}